SHELL	= /bin/sh

#ifdef _AIX
CC	= cc -qlanglvl=ansi
#endif

CFLAGS	= 

OBJS    = driver.o tdcore.o SourceNode.o glahead.o attrmain.o \
	visitprocs.o treecon.o deftbl.o dbgen.o dbdefs.o ptg_gen.o clp.o db.o \
	clpintf.o clplib.o optdefs.o optcheck.o optcode.o Ccomment.o \
	auxScanEOL.o source.o err.o csm.o int.o

option.exe:	$(OBJS)
	$(CC) -o option.exe $(CFLAGS) $(OBJS)

clean:
	rm -f a.out *.o *.a core ERRS option.exe

tidy:
	rm -f core a.out *.o *~ *.a ERRS

driver.o:       driver.c HEAD.h INIT.h FINL.h db.h ptg_gen.h dbtypes.h \
clp.h ptg_gen.h err.h clp.h optdefs.h optcheck.h optcode.h clplib.h \
dbtypes.h dbconst.h dbgen.h clplib.h dbtypes.h dbconst.h dbgen.h 
tdcore.o:       tdcore.c ptabs.h tdframe.h parser.h semprods.h err.h 
SourceNode.o:   SourceNode.c err.h treecon.h 
glahead.o:      glahead.c err.h source.h xtables.h xcode.h 
attrmain.o:     attrmain.c HEAD.h node.h treecon.h visitprocs.h db.h \
ptg_gen.h dbtypes.h clp.h ptg_gen.h err.h clp.h optdefs.h optcheck.h \
optcode.h clplib.h dbtypes.h dbconst.h dbgen.h clplib.h dbtypes.h \
dbconst.h dbgen.h err.h 
visitprocs.o:   visitprocs.c HEAD.h err.h node.h treecon.h visitprocs.h \
glattr.h attrpredef.h db.h ptg_gen.h dbtypes.h clp.h ptg_gen.h err.h \
clp.h optdefs.h optcheck.h optcode.h clplib.h dbtypes.h dbconst.h \
dbgen.h clplib.h dbtypes.h dbconst.h dbgen.h err.h 
treecon.o:      treecon.c HEAD.h err.h node.h visitprocs.h treecon.h \
gsdescr.h db.h ptg_gen.h dbtypes.h clp.h ptg_gen.h err.h clp.h \
optdefs.h optcheck.h optcode.h clplib.h dbtypes.h dbconst.h dbgen.h \
clplib.h dbtypes.h dbconst.h dbgen.h err.h 
deftbl.o:       deftbl.c dbtypes.h dbgen.h dbconst.h 
dbgen.o:        dbgen.c err.h dbtypes.h 
dbdefs.o:       dbdefs.c dbtypes.h 
ptg_gen.o:      ptg_gen.c ptg_gen.h 
clp.o:  clp.c clplib.h dbtypes.h dbconst.h dbgen.h 
db.o:   db.c dbconst.h dbtypes.h dbgen.h 
clpintf.o:      clpintf.c clp.h csm.h clplib.h dbtypes.h dbconst.h \
dbgen.h 
clplib.o:       clplib.c dbtypes.h csm.h 
optdefs.o:      optdefs.c optdefs.h 
optcheck.o:     optcheck.c err.h 
optcode.o:      optcode.c optdefs.h ptg_gen.h clp.h optcode.h clplib.h \
dbtypes.h dbconst.h dbgen.h 
Ccomment.o:     Ccomment.c err.h gla.h source.h 
auxScanEOL.o:   auxScanEOL.c err.h gla.h source.h 
source.o:       source.c source.h 
err.o:  err.c err.h source.h 
csm.o:  csm.c csm.h err.h csmtbl.h 
int.o:  int.c int.h 
